-- Emotes.lua
-- Written by Almagnus1
-- Handles emote lookup and alias string creation

EmoteManager = class( Turbine.Object );

function EmoteManager:Constructor()
	self.emotes =
	{
		"faint",		-- 1
		"story",
		"no",
		"mumble",
		"look",			-- 5
		"smoke",
		"dance",
		"rude",
		"cower",
		"pat",			-- 10
		"shrug",
		"surrender",
		"mock",
		"kneel",
		"sad",			-- 15
		"angry",
		"stare",
		"cry",
		"sorry",
		"impatient",	-- 20
		"bye",
		"handstand",
		"thank",
		"whistle",
		"blush",		-- 25
		"flirt",
		"nothing",
		"away",
		"beg",
		"fight",		-- 30
		"hug",
		"sing",
		"mourn",
		"assist",
		"crazy",		-- 35
		"liedown",
		"laugh",
		"bored",
		"sit",
		"mood_sleepy",	-- 40
		"eat",
		"stretch",
		"bow",
		"wave",
		"shiver",		-- 45
		"sigh",
		"clap",
		"pose",
		"poke",
		"drool",		-- 50
		"ready",
		"calm",
		"agree",
		"salute",
		"cheer",		-- 55
		"pick",
		"charge",
		"slap",
		"sweat",
		"drink",		-- 60
		"wink",
		"roar",
		"scratch",
		"tear",
		"scold",		-- 65
		"yawn",
		"talk",
		"challenge",
		"bother",
		"pushups",		-- 70
		"curtsey",
		"cough",
		"point",
		"flip",
		"wait",			-- 75
		"beckon",
		"yes",
		"grumble",
		"kiss",
		"think",		-- 80
		"hail",
		"innocent",
		"shakefist"
	};
end

-- looks up the emote in the above array, and returns the entry value
function EmoteManager:GetEmote( number )
	return self.emotes[number];
end
